Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009558GameMaker Runner[All Projects] 3DPublic2013-02-18 23:152016-11-29 14:12
ReporterTheSnidr 
Assigned ToMike Rennie 
PriorityHighSeverityB - MajorReproducibility100%
StatusClosedResolutionFixed 
Platform-OSWindowsOS Version
Summary0009558: 3D: Scaling models/primitives also scales their normals
DescriptionScaling a model or a primitive now ruins the lighting. GM had this problem a while ago too, but it was eventually fixed. Now it's back again.
I had the same problem I have now back in march 2011:
http://gmc.yoyogames.com/index.php?showtopic=504176&st=0 [^]
Steps To ReproduceStart d3d and activate lighting. Draw a primitive (for example a block) and scale it using d3d_transform_set_scaling. Depending on how much you scale it, the primitive will become dark and less affected by the lighting.
GM Version
Attached Files? file icon 3DScalingBug.gmz [^] (782,359 bytes) 2016-06-20 15:52

- Relationships

-  Notes
(0017296)
GSGAMES (Reporter)
2013-02-20 19:02

I can see this issue on my models too.
The amount of scaling seems to change how much
the lighting will affect the model.
(0022091)
robert3dg (Updater)
2013-06-13 08:55

I am seeing this too. Confirmed.
(0022440)
Mike Rennie (Developer)
2013-06-28 16:53

Fixed in v1.1.1055
(0044098)
Stewart Bishop (Administrator)
2016-06-20 15:51

Occuring again in the latest update.
(0044506)
Mike Rennie (Developer)
2016-06-29 16:41

Fixed (again)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker